Parameters
| Parameter | Accepted Format | Accepted Options | Required | Description |
|---|---|---|---|---|
| Campaign ID | string | Y | Unique identifier for the campaign Navigate to your form's Settings Page to find the Campaign ID | |
| statusGroup | string | active pending completed denied archived cancelled | N | See below. If not specified, then assume 'active' |
| completedAtStart | date & time (ISO 8601 UTC Format) | N | responses that were completed after this time example format | |
| completedAtEnd | date & time (ISO 8601 UTC Format) | N | responses that were completed before this time example format | |
| fields | string | N | responses where the specified field's value is equal to the specified value example | |
| firstSubmittedAtStart | date & time (ISO 8601 UTC Format) | N | responses where step 1 was submitted after this time example format | |
| firstSubmittedAtEnd | date & time (ISO 8601 UTC Format) | N | responses where step 1 was submitted before this time example format | |
| lastSubmittedAtStart | date & time (ISO 8601 UTC Format) | N | responses where most recent step was submitted after this time example format | |
| lastSubmittedAtEnd | date & time (ISO 8601 UTC Format) | N | responses where most recent was submitted before this time example format | |
| waitingOnStep | integer | N | responses currently waiting at this step | |
| page | integer | N | pagination |
Filtering by Field Values
You can filter responses using field value by specifying the field number and expected value. Given a campaign with school sites defined in field number 96, you can include only responses with "Middle School" selected with the query parameter fields[96]=Middle%20School.
Multiple fields can be used at one time if you need to narrow the results down further. For example, fields[96]=Middle%20School&fields[80]=Classified.
Status Groups
Status Groups represent the groupings of responses in a particular stage of the process.
| Status Group | Definition |
|---|---|
| Active (All) | All forms that are either Pending or Completed |
| Pending | All currently Pending forms at any step of the Workflow (including statuses such as viewed, unopened, send back, etc.) |
| Completed | All forms with a status “Completed” or “Marked Completed” |
| Denied | All forms that have been denied using the Deny option in the approval process |
| Archived | All forms that have been archived from the Responses page |
| Cancelled | All forms that have been cancelled |
Field Numbers
You can see Field Numbers on the form by selecting Field Numbers as the Badge Type when in the Document Editor:

